void ProcessDialogEvent()
{
	ref NPChar;
	aref Link, NextDiag;

	DeleteAttribute(&Dialog,"Links");

	makeref(NPChar,CharacterRef);
	makearef(Link, Dialog.Links);
	makearef(NextDiag, NPChar.Dialog);

	switch(Dialog.CurrentNode)
	{
		case "1":

			dialog.text = "Człowiek, który dowodzi ludźmi z takim oddaniem i cieszy się tak fanatycznym posłuchem wart jest tego, by za nim pójść.  Wyrażę powszechną tutaj opinię, kiedy powiem, że plan twój ociera się wręcz o szaleństwo, ale jest mała szansa, że się powiedzie. Jeśli tak się stanie, nagroda będzie zaiste ogromna. Wchodzimy w to, kapitanie.";
			link.l1 = "...";
			link.l1.go = "Exit";

		break;

		case "Exit":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
		break;

	}
}